<?xml version="1.0" encoding="UTF-8"?>
<RESOURCE_PROFILE>
	<HEADER>
		<RESOURCE_IDENTIFIER value="52dcd406-0753-4257-b89c-fa03b71ef247_V29ya2Zsb3dUZW1wbGF0ZURTUmVzb3VyY2VzL1dvcmtmbG93VGVtcGxhdGVEU1Jlc291cmNlVHlwZQ=="/>
		<RESOURCE_TYPE value="WorkflowTemplateDSResourceType"/>
		<RESOURCE_KIND value="WorkflowTemplateDSResources"/>
		<RESOURCE_URI value=""/>
		<DATE_OF_CREATION value="2017-10-09T12:00:00.0Z"/>
	</HEADER>
	<BODY>
		<CONFIGURATION>
			<PARAMETERS>
				<PARAM name="dsName" description="Datasource Name" required="true" type="string"/>
				<PARAM name="interface" description="Datasource Interface" required="true" type="string"/>
				<PARAM name="virtuosoReaderAPIUrl" description="Virtuoso reader endpoint" required="true" type="string"/>
				<PARAM name="publisherEndpoint" description="AriadnePlus Publisher Endpoint" required="true" type="string"/>
			</PARAMETERS>
			<WORKFLOW>
				<NODE name="readSoftwareFromVirtuoso" type="ReadVirtuosoByType" isStart="true">
					<DESCRIPTION>Fetch records from Virtuoso</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="datasourceName" ref="dsName"/>
						<PARAM name="datasourceInterface" ref="interface"/>
						<PARAM name="virtuosoReaderAPIUrl" ref="virtuosoReaderAPIUrl"/>
						<PARAM name="typeNamespace" value="http://www.ics.forth.gr/isl/CRMext/CRMdig.rdfs/"/>
						<PARAM name="typeName" value="D14_Software"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="publishSwJRR"/>
					</ARCS>
				</NODE>
				<NODE name="publishSwJRR" type="PublishJRR">
					<DESCRIPTION>Feed records into the JRR (registry and catalogue)</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="inputEprParam" value="virtuoso_rs"/>
						<PARAM name="publisherEndpoint" ref="publisherEndpoint"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="readActorsFromVirtuoso"/>
					</ARCS>
				</NODE>
				<NODE name="readActorsFromVirtuoso" type="ReadVirtuosoByType">
					<DESCRIPTION>Fetch records from Virtuoso</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="datasourceName" ref="dsName"/>
						<PARAM name="datasourceInterface" ref="interface"/>
						<PARAM name="virtuosoReaderAPIUrl" ref="virtuosoReaderAPIUrl"/>
						<PARAM name="typeNamespace" value="http://www.cidoc-crm.org/cidoc-crm/"/>
						<PARAM name="typeName" value="E39_Actor"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="publishActorsJRR"/>
					</ARCS>
				</NODE>
				<NODE name="publishActorsJRR" type="PublishJRR">
					<DESCRIPTION>Feed records into the JRR (registry and catalogue)</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="inputEprParam" value="virtuoso_rs"/>
						<PARAM name="publisherEndpoint" ref="publisherEndpoint"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="readCollectionsFromVirtuoso"/>
					</ARCS>
				</NODE>
				<NODE name="readCollectionsFromVirtuoso" type="ReadVirtuosoByType">
					<DESCRIPTION>Fetch records from Virtuoso</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="datasourceName" ref="dsName"/>
						<PARAM name="datasourceInterface" ref="interface"/>
						<PARAM name="virtuosoReaderAPIUrl" ref="virtuosoReaderAPIUrl"/>
						<PARAM name="typeNamespace" value="http://www.cidoc-crm.org/cidoc-crm/"/>
						<PARAM name="typeName" value="E78_Collection"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="publishCollJRR"/>
					</ARCS>
				</NODE>
				<NODE name="publishCollJRR" type="PublishJRR">
					<DESCRIPTION>Feed records into the JRR (registry and catalogue)</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="inputEprParam" value="virtuoso_rs"/>
						<PARAM name="publisherEndpoint" ref="publisherEndpoint"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="readDesignProcedure"/>
					</ARCS>
				</NODE>
				<NODE name="readDesignProcedure" type="ReadVirtuosoByType">
					<DESCRIPTION>Fetch records from Virtuoso</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="datasourceName" ref="dsName"/>
						<PARAM name="datasourceInterface" ref="interface"/>
						<PARAM name="virtuosoReaderAPIUrl" ref="virtuosoReaderAPIUrl"/>
						<PARAM name="typeNamespace" value="http://www.cidoc-crm.org/cidoc-crm/"/>
						<PARAM name="typeName" value="E29_Design_or_Procedure"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="publishDesignProcedureJRR"/>
					</ARCS>
				</NODE>
				<NODE name="publishDesignProcedureJRR" type="PublishJRR">
					<DESCRIPTION>Feed records into the JRR (registry and catalogue)</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="inputEprParam" value="virtuoso_rs"/>
						<PARAM name="publisherEndpoint" ref="publisherEndpoint"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="readServicesFromVirtuoso"/>
					</ARCS>
				</NODE>
				<NODE name="readServicesFromVirtuoso" type="ReadVirtuosoByType">
					<DESCRIPTION>Fetch records from Virtuoso</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="datasourceName" ref="dsName"/>
						<PARAM name="datasourceInterface" ref="interface"/>
						<PARAM name="virtuosoReaderAPIUrl" ref="virtuosoReaderAPIUrl"/>
						<PARAM name="typeNamespace" value="http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/"/>
						<PARAM name="typeName" value="PE1_Service"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="publishServicesJRR"/>
					</ARCS>
				</NODE>
				<NODE name="publishServicesJRR" type="PublishJRR">
					<DESCRIPTION>Feed records into the JRR (registry and catalogue)</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="inputEprParam" value="virtuoso_rs"/>
						<PARAM name="publisherEndpoint" ref="publisherEndpoint"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="readDatasetsFromVirtuoso"/>
					</ARCS>
				</NODE>
				<NODE name="readDatasetsFromVirtuoso" type="ReadVirtuosoByType">
					<DESCRIPTION>Fetch records from Virtuoso</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="datasourceName" ref="dsName"/>
						<PARAM name="datasourceInterface" ref="interface"/>
						<PARAM name="virtuosoReaderAPIUrl" ref="virtuosoReaderAPIUrl"/>
						<PARAM name="typeNamespace" value="http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/"/>
						<PARAM name="typeName" value="PE18_Dataset"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="publishDatasetsJRR"/>
					</ARCS>
				</NODE>
				<NODE name="publishDatasetsJRR" type="PublishJRR">
					<DESCRIPTION>Feed records into the JRR (registry and catalogue)</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="inputEprParam" value="virtuoso_rs"/>
						<PARAM name="publisherEndpoint" ref="publisherEndpoint"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="readProjects"/>
					</ARCS>
				</NODE>
				<NODE name="readProjects" type="ReadVirtuosoByType">
					<DESCRIPTION>Fetch records from Virtuoso</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="datasourceName" ref="dsName"/>
						<PARAM name="datasourceInterface" ref="interface"/>
						<PARAM name="virtuosoReaderAPIUrl" ref="virtuosoReaderAPIUrl"/>
						<PARAM name="typeNamespace" value="http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/"/>
						<PARAM name="typeName" value="PE35_Project"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="publishProjectsJRR"/>
					</ARCS>
				</NODE>
				<NODE name="publishProjectsJRR" type="PublishJRR">
					<DESCRIPTION>Feed records into the JRR (registry and catalogue)</DESCRIPTION>
					<PARAMETERS>
						<PARAM name="inputEprParam" value="virtuoso_rs"/>
						<PARAM name="publisherEndpoint" ref="publisherEndpoint"/>
					</PARAMETERS>
					<ARCS>
						<ARC to="success"/>
					</ARCS>
				</NODE>
			</WORKFLOW>
		</CONFIGURATION>
	</BODY>
</RESOURCE_PROFILE>
